<template>
    <div>
        <nav class="bg-gray-800 font-sans flex flex-col text-center sm:flex-row sm:text-left sm:justify-between py-4 px-6 bg-white shadow sm:items-baseline w-full">
            <div class="mb-2 sm:mb-0">
                <NuxtLink to="/"><img class="object-center h-14" src="/logo.png"/></NuxtLink>
            </div>
            <div>
                <button class="border-2 font-mono align-bottom border-transparent bg-gray-900 ml-3 py-2 px-4 font-bold uppercase text-white rounded transition-all hover:border-purple-500 hover:bg-transparent hover:text-purple-500">
                    <NuxtLink to="/">Accueil</NuxtLink></button>
                <button class="border-2 font-mono align-bottom border-transparent bg-gray-900 ml-3 py-2 px-4 font-bold uppercase text-white rounded transition-all hover:border-purple-500 hover:bg-transparent hover:text-purple-500">
                    <NuxtLink to="/starlist">Liste des astres</NuxtLink></button>
                <button class="border-2 font-mono align-bottom border-transparent bg-gray-900 ml-3 py-2 px-4 font-bold uppercase text-white rounded transition-all hover:border-purple-500 hover:bg-transparent hover:text-purple-500">
                    <NuxtLink to="/favourite">Mes favoris</NuxtLink></button>
            </div>
        </nav>
        <Nuxt />
        <footer class="footer p-6 text-center bg-gray-800">
            <a class="text-white hover:text-purple-500 font-mono" href="https://gitlab.com/brandon.habasque/astronimo">Lien vers le dépôt gitlab</a>
        </footer>
    </div>
</template>